<?php

namespace Drupal\views_ajax_get\Controller;

use Drupal\views\Controller\ViewAjaxController;
use Drupal\views_ajax_get\CacheableViewsAjaxResponse;
use Symfony\Component\HttpFoundation\Request;

class ViewsAjaxController extends ViewAjaxController {

  public function ajaxView(Request $request) {
    // Add all query parameters to the post variable, because this is what
    // \Drupal\views\Controller\ViewAjaxController::ajaxView expects.
    $request->request->add($request->query->all());
    $response = parent::ajaxView($request);

    if (_views_ajax_get_is_ajax_get_view($response->getView())) {
      $cacheable_response = new CacheableViewsAjaxResponse();
      $cacheable_response->setView($response->getView());
      $cacheable_commands =& $cacheable_response->getCommands();
      $cacheable_commands = $response->getCommands();

      // Don't allow attachments
      // $cacheable_response->setAttachments($response->getAttachments());
      return $cacheable_response;
    }
    
    return $response;
  }

}
